/* *****************************************************************
 * filename : contents.css
 * description : 서브 콘텐츠 CSS
 * date : 2024-07-07
***************************************************************** */

/* 색상값 */
/*.navy .ship:after, .navy .direction:after, .navy .direction.stop { background: linear-gradient(0deg, rgba(0,49,118,1) 0%, rgba(0,88,209,1) 95%) !important; }
.navy .ship { background: #002253 }
.orange .ship:after, .orange .direction:after, .orange .direction.stop { background: linear-gradient(0deg, rgba(255, 88, 20, 1) 0%, rgba(255, 164, 117, 1) 95%) !important; }
.orange .ship { background: #DC4D13 }
.light-green .ship:after, .light-green .direction:after, .light-green .direction.stop { background: linear-gradient(0deg, rgba(31, 193, 0, 1) 0%, rgba(103, 255, 29, 1) 95%) !important; }
.light-green .ship { background: #168401 }
.purple .ship:after, .purple .direction:after, .purple .direction.stop { background: linear-gradient(0deg, rgba(74, 3, 204, 1) 0%, rgba(120, 44, 253, 1) 95%) !important; }
.purple .ship { background: #3A01A2 }
.red .ship:after, .red .direction:after, .red .direction.stop { background: linear-gradient(0deg, rgba(212, 0, 16, 1) 0%, rgba(231, 51, 14, 1) 95%) !important; }
.red .ship { background: #7F1A08 }
.light-blue .ship:after, .light-blue .direction:after, .light-blue .direction.stop { background: linear-gradient(0deg, #2594AE 0%, #03E1FB 95%) !important; }
.light-blue .ship { background: #1A829B }
.green .ship:after, .green .direction:after, .green .direction.stop { background: linear-gradient(0deg, #00741F 0%, #00CC4E 95%) !important; }
.green .ship { background: #005617 }
.pink .ship:after, .pink .direction:after, .pink .direction.stop { background: linear-gradient(0deg, #BF1AC4 0%, #FF9EFF 95%) !important; }
.pink .ship { background: #97119B }
.yellow .ship:after, .yellow .direction:after, .yellow .direction.stop { background: linear-gradient(356deg, #b9b900 0%, #fff454 95%) !important; }
.yellow .ship { background: #277192 }
.gray .ship:after, .gray .direction:after, .gray .direction.stop { background: linear-gradient(0deg, #A2A2A2 0%, #D4D4D4 95%) !important; }
.gray .ship { background: #727272 }
.blue .ship:after, .blue .direction:after, .blue .direction.stop { background: linear-gradient(356deg, #00A9EF 0%, #6AD3FF 95%) !important; }
.blue .ship { background: #277192 }
.black .ship:after, .black .direction:after, .black .direction.stop { background: #000000 !important; }
.black .ship { background: #000000 }*/
.orange .ship:after, .orange .direction:after, .orange .direction.stop { background: #ff8d14 !important; }
.orange .ship { background: #ff8d14 }
.dark-green .ship:after, .dark-green .direction:after, .dark-green .direction.stop { background: #556b2f !important; }
.dark-green .ship { background: #556b2f }
.purple .ship:after, .purple .direction:after, .purple .direction.stop { background: #8965bf !important; }
.purple .ship { background: #8965bf }
.red .ship:after, .red .direction:after, .red .direction.stop { background: #eb0000 !important; }
.red .ship { background: #eb0000 }
.turquoise .ship:after, .turquoise .direction:after, .turquoise .direction.stop { background: #4a9898 !important; }
.turquoise .ship { background: #4a9898 }
.green .ship:after, .green .direction:after, .green .direction.stop { background: #00d108 !important; }
.green .ship { background: #00d108 }
.pink .ship:after, .pink .direction:after, .pink .direction.stop { background: #f862da !important; }
.pink .ship { background: #f862da }
.yellow .ship:after, .yellow .direction:after, .yellow .direction.stop { background: #ffe400 !important; }
.yellow .ship { background: #ffe400 }
.gray .ship:after, .gray .direction:after, .gray .direction.stop { background: #cccccc !important; }
.gray .ship { background: #cccccc }
.blue .ship:after, .blue .direction:after, .blue .direction.stop { background: #1679ff !important; }
.blue .ship { background: #1679ff }
.black .ship:after, .black .direction:after, .black .direction.stop { background: #000000 !important; }
.black .ship { background: #000000 }
/* [250825 KSB]이외 색상 변경 */
.brown .ship:after, .brown .direction:after, .brown .direction.stop { background: #a0522d !important; }
.brown .ship { background: #a0522d }
.navy .ship:after, .navy .direction:after, .navy .direction.stop { background: #002253 !important; }
.navy .ship { background: #002253 }
/* [250825 KSB]항해 경로 선박 색상 적용 */
.turquoise-path .ship:after, .turquoise-path .direction:after, .turquoise-path .direction.stop { background: rgba(74, 152, 152, 0.8) !important; }
.turquoise-path .ship { background: rgba(74, 152, 152, 0.8); }
/* 지도 */
.ico-box { z-index: 10; }
.ico-box .ico-ship { position: relative; width: auto; height: auto; }
/* 선박 테두리 */
.ico-box .ico-ship .ship { z-index: 10; position: relative; clip-path: polygon(50% 0%, 100% 20%, 100% 100%, 0% 100%, 0% 20%); }
/* 선박 바탕색 */ /* path : 중심/꼭지점, 오른쪽 위-좌우/오른쪽위-위아래, 오른쪽아래-좌우/오른쪽아래-상하, 왼쪽아래-좌우/왼쪽아래-상하,왼쪽 위-좌우/왼쪽위-위아래 */
.ico-box .ico-ship .ship:after { z-index: 10; content: ''; position: absolute; top: 1px; left: 1px; right: 1px; bottom: 1px; display: block; clip-path: polygon(50% 0.5px, 100% 20%, 100% 100%, 0% 100%, 0% 20%); }
/* 선박 - 방향 */
.ico-box .ico-ship .direction { z-index: 10; position: absolute; bottom: 40%; left: 50%; margin-left: -5px; width: var(--size-dirct-width, 11px); height: var(--size-dirct-height); clip-path: polygon(0 100%, 50% 0, 100% 100%, 50% 75%); background:#fff;}
.ico-box .ico-ship .direction:after { content: ''; position: absolute; top: 2px; left: 2px; bottom: 2px; right: 2px; display: block; clip-path: polygon(0 100%, 50% 0, 100% 100%, 50% 75%); box-sizing: border-box; }
.ico-box .ico-ship .direction.stop { bottom: 45%; width: var(--size-stop, 10px); height: var(--size-stop, 10px); clip-path: initial; border: 1px solid rgba(255, 255, 255, 0.95); border-radius: 50%;}
.ico-box .ico-ship .direction.stop:after { display: none }
/* 항구 */
.ico-box .ico-port { z-index: 10; position: relative; width: 22px; height: 22px; background: #003885 url('../images/ico-port.svg') no-repeat 50% 50%; border-radius:50% }
.ico-box .ico-anchor { z-index: 10; position: relative; width: 10px; height: 10px; background:url('../images/ico-anchor.svg') no-repeat 50% 50%; }

.ico-box .ico-sum { z-index: 10; position: relative; display: flex; width: 70px; height: 70px; padding-bottom: 4px; align-items: center; justify-content: center; border-radius: 50%; background: #003885; box-shadow: 0 0 0 10px rgba(0,56,133,0.15); text-align: center }
/* .ico-box .ico-sum span { display:block; margin-bottom:5px; color: #4EC9FF; font-size: 13px } */
.ico-box .ico-sum span { color:#fff; font-weight: bold; }
.ico-box .ico-sum p { color:#fff; margin-bottom:3px; font-weight:500; }
.ico-sum p { display: none; }

/* 축소 값 */
.small .ico-box .ico-port { width: 15px; height: 15px; background-size: 9px }

/* [251020 SYE] Sub page wrap 레이아웃 */
.sub-wrap { width: 74%; margin: 0 auto 8vh; color: #0f172a; font-weight: 500; }
@media (min-width: 1025px) and (max-width: 1214px) {
    html { font-size: 95%; }
    .sub-wrap { width: 88%; }
}
@media (max-width: 1024px) and (min-width: 601px) {
    html { font-size: 90%; }
    .sub-wrap { width: 90%; margin: 0 auto 5vh; }
}
@media (max-width: 600px) {
    html { font-size: 80%; }
    .sub-wrap { width: 94%; margin: 0 auto 3vh; }
}